#version 130 // GLSL verzia

uniform samplerCube base_tex_unit; // zakladna textura

// prenasane udaje
in vec3 col;
in vec3 R,TRed,TGreen,TBlue;
in float F;

void main(void)
{
 // odraz z CubeMap
 vec4 reflection=texture(base_tex_unit,R);
 //reflection*=1.0*vec4(col,1.0);

 // prienik z CubeMap
 vec4 refraction;
 refraction.r=texture(base_tex_unit,TRed).r;
 refraction.g=texture(base_tex_unit,TGreen).g;
 refraction.b=texture(base_tex_unit,TBlue).b;
 refraction.a=1.0;

 // zmiesanie odrazu a prieniku
 gl_FragData[0]=mix(refraction,reflection,F);
}
