#version 130 // GLSL verzia

uniform sampler2D base_tex_unit;  // color
uniform int msaa_smp;             // MSAA samples
uniform vec2 dxdy;                // delta dvoch susediacich texturovacich suradnic

// vstup z vertex shadera
in vec2 uv; // texturovacie suradnice

void main(void)
{
 vec4 color=vec4(0.0);

 for (int y=0;y<msaa_smp;y++) {
  for (int x=0;x<msaa_smp;x++) {
   // farba fragmentu ulozena v 2D texture
   color+=texture(base_tex_unit,uv+vec2(x*dxdy.x,y*dxdy.y));
  }
 }
 color/=(msaa_smp*msaa_smp);

 // vysledna farba
 gl_FragColor=color;
}
